Re: [Forum] update-problem

From: Kasper Dupont <kasperd@daimi.au.dk>
Date: Sat Jul 10 2004 - 15:32:29 CEST

> Marie Lund wrote:
>
> Hejsa folkens!
>
> Hvordan vil I mene at jeg skal forholde mig til nedenstående?
>
> Vh Marie (som ikke ved hvad initscripts og pppd er).
>
> [root@sofie root]# yum update
> Gathering header information file(s) from server(s)
> Server: Fedora Core 2 - i386 - Base
> Server: Fedora Core 2 - i386 - Released Updates
> Finding updated packages
> Downloading needed headers
> ppp-0-2.4.2-3.FC2.1.i386. 100% |=========================| 6.7 kB 00:00
> Resolving dependencies
> .conflict between initscripts and pppd
> [root@sofie root]#

Jeg kan ikke lige gennemskue hvad det er for en konflikt.
Umiddelbart er der i hvert fald to muligheder. Det kan
være de to pakker indeholder en fil med samme navn, men
forskelligt indhold. Eller det kan være, den ene pakke
eksplicit angiver en konflikt med den anden. Det kunne
f.eks. være, at den nye ppp udgave angiver, at den ikke
virker med en så gammel udgave af initscripts.

Jeg ville prøve at installere pakken med rpm kommandoen,
for der mener jeg man plejer at få en lidt bedre
fejlmelding, hvis der er en konflikt.

initscripts pakken indeholder hovedparten af de scripts,
der styrer opstarten af maskinen. Så det er en pakke du
absolut ikke kan undvære.

PPP er en netværksprotokol. Det er som regel den protokol
man bruger på et gammeldags modem. Men så vidt jeg ved
bruges den også over ADSL. Så hvis man kører ADSL uden
en router men blot med et modem, så skal du køre PPP på
din maskine. PPP protokolen selv ligger dog i kernen, så
ppp pakken indeholder vist kun de opsætningsfiler og
programmer, der skal bruges for at aktivere forbindelsen.

Jeg kan se at initscripts pakken på FC1 indeholder nogle
ppp relaterede filer. Jeg kan ikke lige komme i tanke om
nogen god grund til at man har valgt at gøre på den måde.

-- 
Kasper Dupont
Received on Sat Jul 10 15:32:42 2004

This archive was generated by hypermail 2.1.8 : Tue Jul 19 2005 - 16:05:23 CEST